Bug 55955 - umounting of loopback devices fails at shutdown
Summary: umounting of loopback devices fails at shutdown
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-09 14:10 UTC by Jan Rossmann
Modified: 2014-03-17 02:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 12:12:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:022 normal SHIPPED_LIVE New initscripts packages available for Red Hat Linux 7.2 2002-02-06 05:00:00 UTC

Description Jan Rossmann 2001-11-09 14:10:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
Upon shutdown /etc/init.d/halt performs errors while umounting the loopback
devices.

Version-Release number of selected component (if applicable):
initscripts-6.40-1


How reproducible:
Always

Steps to Reproduce:
1. Boot system with loopback devices
2. shutdown
	

Actual Results:  errors umounting the loopback devices

Expected Results:  normal shutdown ;-)

Additional info:

change line 144 from 
	runcmd $"Detaching loopback device $dev: " losetup -d $device
 to
	runcmd $"Detaching loopback device $dev: " losetup -d $dev

Comment 1 Pedro Miguel Marques Morais 2001-12-03 12:12:33 UTC
I've also ran into this bug.
The proposed solution is correct.

Comment 2 Bill Nottingham 2002-01-25 05:45:11 UTC
Will be fixed in 6.51-1, thanks!

Comment 3 Michael Schwendt 2002-02-22 23:16:56 UTC
Still the case with 6.51-1. See bug #57289 (duplicate?) which I've found earlier
while browsing through the initscripts bug-list backwards.


Comment 4 Michael Schwendt 2002-02-24 05:41:02 UTC
False alarm. ;) It's fixed in 6.53-1.


Note You need to log in before you can comment on or make changes to this bug.